<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_0c5123aa744f69bbc0e8b3" . "ea2f6e847d" => base64_decode("bG1zZw=" . "="), "_d3c72043723006b659492f087ddf1f" . "df" => base64_decode("bmV3c" . "w=="), "_d0c05b93" . "b1b3930a2" . "32616bd5f" . "573345" => base64_decode("bWVudS5hcHAubm" . "V3cw=="), "_bf2b3f7714b3538" . "f48e780c3e777009" . "0" => base64_decode("YXBwX25ld" . "3M="));
use Claromentis\News\NewsApplication as NewsNewsApplication;
use Claromentis\Search\ItemType;






class NewsApplication implements ApplicationInterface, CacheableInterface, IconInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_d3c72043723006b659492f" . "087ddf1fdf"] => function () {
            return new ItemType\News();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_0c5123aa744f69bb" . "c0e8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_d0c05b93b1b3930a232616bd5f5" . "73345"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_bf2b3f7714b35" . "38f48e780c3e77" . "70090"];
    }
    public function GetIcon() : string
    {
        return NewsNewsApplication::APPLICATION_SVG_URL;
    }
    public function getCacheableTypes() : array
    {
        return [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_d3c72043723006" . "b659492f087ddf1" . "fdf"]];
    }
}